diff -Nur virt-manager-1.2.0.orig/virtinst/osdict.py virt-manager-1.2.0/virtinst/osdict.py
--- virt-manager-1.2.0.orig/virtinst/osdict.py	2015-05-04 11:26:13.000000000 -0500
+++ virt-manager-1.2.0/virtinst/osdict.py	2015-05-04 22:04:56.346802551 -0500
@@ -154,6 +154,7 @@
         "rhel5" : "rhel5.0",
         "rhel6" : "rhel6.0",
         "rhel7" : "rhel7.0",
+        "slackware" : "slackware14.1",
         "ubuntuhardy" : "ubuntu8.04",
         "ubuntuintrepid" : "ubuntu8.10",
         "ubuntujaunty" : "ubuntu9.04",
@@ -372,7 +373,7 @@
         # We should fix this in a new libosinfo version, and then drop
         # this hack
         if self._is_related_to(["fedora20", "rhel7.0", "debian6",
-            "ubuntu13.04", "win8", "win2k12"],
+            "slackware14.1", "ubuntu13.04", "win8", "win2k12"],
             check_clones=False, check_derives=False):
             return True
         return False
diff -Nur virt-manager-1.2.0.orig/virtinst/urlfetcher.py virt-manager-1.2.0/virtinst/urlfetcher.py
--- virt-manager-1.2.0.orig/virtinst/urlfetcher.py	2015-05-04 11:26:13.000000000 -0500
+++ virt-manager-1.2.0/virtinst/urlfetcher.py	2015-05-04 22:05:13.183610018 -0500
@@ -1038,6 +1038,43 @@
         return False
 
 
+class SlackwareDistro(Distro):
+    # slackware doesn't have installable URLs, so this is just for a
+    # mounted ISO
+    name = "Slackware"
+    urldistro = "slackware"
+    os_variant = "linux"
+
+    _boot_iso_paths = []
+    _xen_kernel_paths = []
+
+    def __init__(self, *args, **kwargs):
+        Distro.__init__(self, *args, **kwargs)
+        if re.match(r'i[4-9]86', self.arch):
+            self.arch = 'i486'
+            self.kname = 'hugesmp.s'
+        else:
+            self.arch = 'x86_64'
+            self.kname = 'huge.s'
+
+        self._hvm_kernel_paths = [("kernels/%s/bzImage" % self.kname,
+                                    "isolinux/initrd.img")]
+
+    def isValidStore(self):
+        # Don't support any paravirt installs
+        if self.type is not None and self.type != "hvm":
+            return False
+
+        # Slackware website / media appear to have a Slackware-HOWTO
+        # file in top level which we can use as our 'magic'
+        # check for validity
+        if not self.fetcher.hasFile("Slackware-HOWTO"):
+            return False
+
+        logging.debug("Regex didn't match, not a %s distro", self.name)
+        return False
+
+
 # Build list of all *Distro classes
 def _build_distro_list():
     allstores = []
